[arch-commits] Commit in fping/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 10:23:45 EDT 2009


    Date: Saturday, April 4, 2009 @ 10:23:43
  Author: eric
Revision: 33635

Merged revisions 356,2310,33619 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/fping/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2310 | paul | 2008-05-31 11:15:19 -0400 (Sat, 31 May 2008) | 2 lines
  
  Added more licenses.
........
  r33619 | eric | 2009-04-04 10:12:47 -0400 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: fping 2.4b2-3
      Added arch field, Added license, Updated source url, FHS man pages, Set fping setuid root (close FS#13960)
........

Modified:
  fping/repos/extra-i686/	(properties)
  fping/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)


Property changes on: fping/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /fping/trunk:1
   + /fping/trunk:1-33634

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 14:21:31 UTC (rev 33634)
+++ extra-i686/PKGBUILD	2009-04-04 14:23:43 UTC (rev 33635)
@@ -4,16 +4,20 @@
 
 pkgname=fping
 pkgver=2.4b2
-pkgrel=2
+pkgrel=3
 pkgdesc="fping is different from ping in that you can specify any number of hosts on the command line"
+arch=('i686' 'x86_64')
+url="http://www.fping.com/"
+license=('custom') 
 depends=('glibc')
-source=(http://www.fping.com/download/$pkgname-$pkgver\_to.tar.gz)
-url="http://www.fping.com/"
+source=(http://fping.sourceforge.net/download/fping.tar.gz)
 md5sums=('d5e8be59e307cef76bc479e1684df705')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver\_to
-	./configure --prefix=/usr
-	make || return 1
-	make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver\_to
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
+  chmod 4755 $pkgdir/usr/sbin/fping
 }



More information about the arch-commits mailing list